Bug 989483 - [abrt] recoll-1.19.4-2.fc19: deallocate: Process /usr/bin/recollindex was killed by signal 11 (SIGSEGV)
[abrt] recoll-1.19.4-2.fc19: deallocate: Process /usr/bin/recollindex was kil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: recoll (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:29df39f5a058c614a88fd5346be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 06:56 EDT by Mark Walker
Modified: 2013-11-23 23:04 EST (History)
1 user (show)

See Also:
Fixed In Version: recoll-1.19.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:43:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (90.20 KB, text/plain)
2013-07-29 06:56 EDT, Mark Walker
no flags Details
File: cgroup (141 bytes, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details
File: core_backtrace (981 bytes, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details
File: dso_list (1.81 KB, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details
File: environ (203 bytes, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details
File: maps (10.66 KB, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details
File: open_fds (964 bytes, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details
File: var_log_messages (338 bytes, text/plain)
2013-07-29 06:57 EDT, Mark Walker
no flags Details

  None (edit)
Description Mark Walker 2013-07-29 06:56:49 EDT
Version-Release number of selected component:
recoll-1.19.4-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        recollindex
crash_function: deallocate
executable:     /usr/bin/recollindex
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #1 deallocate at /usr/include/c++/4.8.1/ext/new_allocator.h:110
 #2 _M_deallocate at /usr/include/c++/4.8.1/bits/stl_bvector.h:479
 #3 std::vector<bool, std::allocator<bool> >::_M_fill_insert at /usr/include/c++/4.8.1/bits/vector.tcc:726
 #4 insert at /usr/include/c++/4.8.1/bits/stl_bvector.h:889
 #5 resize at /usr/include/c++/4.8.1/bits/stl_bvector.h:923
 #6 Rcl::Db::open at ../rcldb/rcldb.cpp:689
 #7 ConfIndexer::createStemmingDatabases at ../index/indexer.cpp:287
 #8 ConfIndexer::index at ../index/indexer.cpp:147

Potential duplicate: bug 979371
Comment 1 Mark Walker 2013-07-29 06:56:52 EDT
Created attachment 779758 [details]
File: backtrace
Comment 2 Mark Walker 2013-07-29 06:57:00 EDT
Created attachment 779759 [details]
File: cgroup
Comment 3 Mark Walker 2013-07-29 06:57:03 EDT
Created attachment 779760 [details]
File: core_backtrace
Comment 4 Mark Walker 2013-07-29 06:57:05 EDT
Created attachment 779761 [details]
File: dso_list
Comment 5 Mark Walker 2013-07-29 06:57:08 EDT
Created attachment 779762 [details]
File: environ
Comment 6 Mark Walker 2013-07-29 06:57:10 EDT
Created attachment 779763 [details]
File: limits
Comment 7 Mark Walker 2013-07-29 06:57:13 EDT
Created attachment 779764 [details]
File: maps
Comment 8 Mark Walker 2013-07-29 06:57:15 EDT
Created attachment 779765 [details]
File: open_fds
Comment 9 Mark Walker 2013-07-29 06:57:18 EDT
Created attachment 779766 [details]
File: proc_pid_status
Comment 10 Mark Walker 2013-07-29 06:57:20 EDT
Created attachment 779767 [details]
File: var_log_messages
Comment 11 Fedora Update System 2013-11-05 17:12:44 EST
recoll-1.19.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc19
Comment 12 Fedora Update System 2013-11-05 17:13:18 EST
recoll-1.19.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc20
Comment 13 Fedora Update System 2013-11-05 17:13:51 EST
recoll-1.19.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc18
Comment 14 Fedora Update System 2013-11-06 13:21:43 EST
Package recoll-1.19.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.19.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20750/recoll-1.19.8-1.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-11-23 14:43:31 EST
recoll-1.19.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-23 14:44:33 EST
recoll-1.19.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-11-23 23:04:35 EST
recoll-1.19.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.